Loading...
Searching...
No Matches
irr::io::IAttributeExchangingObject Class Reference

An object which is able to serialize and deserialize its attributes into an attributes object. More...

`#include <IAttributeExchangingObject.h>`

Inheritance diagram for irr::io::IAttributeExchangingObject:

## Public Member Functions

virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

An object which is able to serialize and deserialize its attributes into an attributes object.

Definition at line 51 of file IAttributeExchangingObject.h.

## Member Function Documentation

## deserializeAttributes()

virtual void irr::io::IAttributeExchangingObject::deserializeAttributes | ( | io::IAttributes * | in,
|  | io::SAttributeReadWriteOptions * | options = 0 )

inline virtual

Reads attributes of the object.

Implement this to set the attributes of your scene node animator for scripting languages, editors, debuggers or xml deserialization purposes.

Reimplemented in irr::gui::IGUIElement, irr::scene::ICameraSceneNode, and irr::scene::ISceneNode.

Definition at line 63 of file IAttributeExchangingObject.h.

## serializeAttributes()

virtual void irr::io::IAttributeExchangingObject::serializeAttributes | ( | io::IAttributes * | out,
|  | io::SAttributeReadWriteOptions * | options = 0 ) const

inline virtual

Writes attributes of the object.

Implement this to expose the attributes of your scene node animator for scripting languages, editors, debuggers or xml serialization purposes.

Reimplemented in irr::gui::IGUIElement, irr::scene::ICameraSceneNode, and irr::scene::ISceneNode.

Definition at line 58 of file IAttributeExchangingObject.h.

The documentation for this class was generated from the following file:

- IAttributeExchangingObject.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0